package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import com.yonge.toolset.mybatis.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author: cy
 * @date: 2022/3/30 11:32
 */
@ApiModel(value = "VideoLessonGroupSearch", description = "视频课组列表查询")
public class VideoLessonGroupSearch extends QueryInfo {
    @ApiModelProperty(value = "审核状态(DOING:待审核 PASS:通过 UNPASS:未通过)")
    private AuthStatusEnum auditStatus;

    @ApiModelProperty(value = "视频课组id")
    private Long groupId;

    @ApiModelProperty(value = "筛选条件")
    private String search;

    @ApiModelProperty(value = "学生id")
    private Long studentId;

    @ApiModelProperty(value = "老师id")
    private Long teacherId;

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public AuthStatusEnum getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(AuthStatusEnum auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    @Override
    public String getSearch() {
        return search;
    }

    @Override
    public void setSearch(String search) {
        this.search = search;
    }
}
